$(function() {
    var gfx = "";
    if ((window.devicePixelRatio !== undefined) && (window.devicePixelRatio !== 1)) {
        gfx = "_hr";
    }
    if ($("#size_text").text() !== "100%") {
        gfx = "_hr";
    }
    $(".hr").live("hr", function(e) {
        t = $(e.currentTarget);
        if (t.data("hrdone") === undefined) {
            t.attr("src", t.attr("src").replace(/.gif$/, gfx + ".gif"));
            t.data("hrdone", true);
        }
    });
    var scale = parseInt($("#size_text").text().replace(/%/, ''));
    $(".scale").live("scale", function(e) {
        t = $(e.currentTarget);
        if ((t.data("scaledone") === undefined) && (scale !== 100)) {
            t.css({"transform": "scale(" + scale/100.0 + "," + scale/100.0 + ")",
                   "transformOrigin": "0% 80%",
                   "msTransform": "scale(" + scale/100.0 + "," + scale/100.0 + ")",
                   "msTransformOrigin": "0% 80%",
                   "WebkitTransform": "scale(" + scale/100.0 + "," + scale/100.0 + ")",
                   "WebkitTransformOrigin": "0% 80%",
                   "MozTransform": "scale(" + scale/100.0 + "," + scale/100.0 + ")",
                   "MozTransformOrigin": "0% 80%",
                   "OTransform": "scale(" + scale/100.0 + "," + scale/100.0 + ")",
                   "OTransformOrigin": "0% 80%"});
            if (scale > 100) {
                var enlarge_scale = (scale/100.0-1)
                t.parent().show();
                t.css({"margin-right": t.width()*enlarge_scale+10,
                       "margin-top": t.height()*0.8*enlarge_scale+2,
                       "margin-bottom": t.height()*0.2*enlarge_scale+2});
            }
            t.data("scaledone", true);
        }
    });
    $(".hr").trigger("hr");
    $(".scale").trigger("scale");
    $(".sortByTime").live("click", function() {
        var table = $(this).parent().nextAll("table:first");
        var rows = table.children().children().get();
        rows.sort(function (a, b) {
            var keyA = $(a).children(".day_time_order").text();
            var keyB = $(b).children(".day_time_order").text();
            if (keyA < keyB) {
                return -1;
            }
            if (keyA > keyB) {
                return 1;
            }
            return 0;
        });
        $.each(rows, function (index, row) {
            table.append(row);
        });
        return false;
    });
    $(".sortByPart").live("click", function() {
        var table = $(this).parent().nextAll("table:first");
        var rows = table.children().children().get();
        rows.sort(function (a, b) {
            var keyA = $(a).children(".day_part_order").text();
            var keyB = $(b).children(".day_part_order").text();
            if (keyA < keyB) {
                return -1;
            }
            if (keyA > keyB) {
                return 1;
            }
            return 0;
        });
        $.each(rows, function (index, row) {
            table.append(row);
        });
        return false;
    });
    var ajaxFormFunction = function() {
        var form = $(this);
        var data = {"ajaxForm": "true"};
        data[form.find("select").attr("name")] = form.find("option:selected").attr("value");
        if (form.find("option:selected").attr("value") !== "likesession") {
            var parentForm = form.parent().parent().parent().parent().prev();
            if (parentForm.is(".ajaxForm") && parentForm.find("option:selected").attr("value") === "none") {
                parentForm.find("option:nth(1)").attr("selected", "selected");
            }
        }
        if (form.find("option:selected").attr("value") === "none") {
            form.next().find(".ajaxForm").find("option:nth(0)").attr("selected", "selected");
        }
        form.find("img").attr("src", "/static/load" + gfx + ".gif");
        $.ajax({
            url: form.attr("action"),
            type: "POST",
            data: data,
            success: function (data) {
                form.find("img").attr("src", "/static/spacer" + gfx + ".gif");
            }
        });
        return false;
    };
    $("img.ajaxTree").live("click", function() {
        var img = $(this);
        var tr = img.parent().parent().parent();
        if (img.attr("src") === "/static/minus" + gfx + ".gif") {
            tr.next().children().slice(1, 2).html("");
            img.attr("src", "/static/plus" + gfx + ".gif");
        } else {
            img.attr("src", "/static/load" + gfx + ".gif");
            var data = {xhr: "1"};
            if (img.parents("table").is(".showSelection")) {
                data.showSelection = "1";
            }
            $.ajax({
                url: img.parent().attr("href"),
                type: "GET",
                data: data,
                success: function (data) {
                    var html = tr.next().children().slice(1, 2).html(data);
                    $(".hr").trigger("hr");
                    $(".scale").trigger("scale");
                    html.find(".ajaxForm").submit(ajaxFormFunction);
                    html.find(".ajaxForm select").change(function() {
                        $(this).submit();
                    });
                    html.find(".ajaxForm input[type=submit]").hide();
                    img.attr("src", "/static/minus" + gfx + ".gif");
                }
            });
        }
        return false;
    });
    $(".ajaxForm").submit(ajaxFormFunction);
    $(".ajaxForm select").change(function() {
        $(this).submit();
    });
    $(".ajaxForm input[type=submit]").hide();
    $("#submit_time_range").bind("click submit", function() {
        var now = new Date();
        var minutes = parseInt($("#minutes").val());
        if (! isNaN(minutes)) { now = new Date(now.getTime() + minutes*60*1000); }
        var date = now.getFullYear().toString() + "-";
        if (now.getMonth() < 9) { date = date + "0"; }
        date = date + (now.getMonth() + 1).toString() + "-";
        if (now.getDate() < 10) { date = date + "0"; }
        date = date + now.getDate().toString();
        if ($("#from_date option[value='" + date + "']").length !== 0) {
            $("#from_date option[value='" + date + "']").attr("selected", true);
            $("#to_date option[value='" + date + "']").attr("selected", true);
            var time = now.getHours().toString() + ":";
            if (now.getMinutes() < 10) { time = time + "0"; }
            time = time + now.getMinutes().toString();
            $("#from_time").val(time);
            $("#to_time").val(time);
        }
        return false;
    });
    $("#set_time_range").show();
    $("#update").submit(function() {
        $(":submit", this).attr("disabled", "disabled").val("Be patient while updates are downloaded and applied (if there are new updates available) …");
    });
    $("#size_text").click(function (e) {
        $("#size_form").show().find("input[type=submit]").hide().end().find("select").change(function() {
            $("#size_form").submit();
        });
        $("#size_text").hide();
        e.preventDefault();
    });
    $("#size_form").hide();
    $("#size_text").show();
});
function stopRKey(evt) {
    var evt = (evt) ? evt : ((event) ? event : null);
    var node = (evt.target) ? evt.target : ((evt.srcElement) ? evt.srcElement : null);
    if ((evt.keyCode === 13) && ((node.type === "text") || (node.type === "password")) && (node.name !== "query"))  {
        return false;
    }
}
document.onkeypress = stopRKey;
